Bug 1404305 - Review Request: bcc - BPF Compiler Collection
Summary: Review Request: bcc - BPF Compiler Collection
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PPCTracker 1371219 F-ExcludeArch-ppc64le, PPC64LETracker 1384461 1417633 1451004 1458213
TreeView+ depends on / blocked
 
Reported: 2016-12-13 15:08 UTC by Rafael Fonseca
Modified: 2017-11-01 15:08 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-20 15:08:54 UTC
randy: fedora-review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 150013 None None None 2016-12-16 15:18 UTC

Description Rafael Fonseca 2016-12-13 15:08:10 UTC
Spec URL: http://people.redhat.com/~rdossant/bcc.spec

SRPM URL: http://people.redhat.com/~rdossant/bcc-0.2.0-1.fc25.src.rpm

Description: BCC is a toolkit for creating efficient kernel tracing and manipulation programs, and includes several useful tools and examples. It makes use of extended BPF (Berkeley Packet Filters), formally known as eBPF, a new feature that was first added to Linux 3.15. BCC makes BPF programs easier to write, with kernel instrumentation in C (and includes a C wrapper around LLVM), and front-ends in Python and lua. It is suited for many tasks, including performance analysis and network traffic control. 

Fedora Account System Username: rdossant

Comment 1 Randy Barlow 2017-01-05 14:20:19 UTC
fedora-review is unable to install this package:

  boole.localdomain  rbarlow  ~  reviews  sudo /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/rbarlow/reviews/1404305-bcc/results/bcc-doc-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-python3-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-tools-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-lua-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-devel-0.2.0-1.fc26.x86_64.rpm /home/rbarlow/reviews/1404305-bcc/results/bcc-debuginfo-0.2.0-1.fc26.x86_64.rpm --setopt=tsflags=nocontexts
fedora                                                                                                                                                                                                       6.1 MB/s |  52 MB     00:08    
Last metadata expiration check: 0:00:17 ago on Thu Jan 05 09:18:27 2017 EST.
Error:
 Problem 1: conflicting requests
  - nothing provides libbcc-loader-static.so()(64bit) needed by bcc-lua-0.2.0-1.fc26.x86_64
 Problem 2: package bcc-doc-0.2.0-1.fc26.x86_64 requires /usr/bin/bcc-lua, but none of the providers can be installed
  - conflicting requests
  - nothing provides libbcc-loader-static.so()(64bit) needed by bcc-lua-0.2.0-1.fc26.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)

Comment 2 Rafael Fonseca 2017-01-05 15:15:20 UTC
The problem has been fixed. Can you, please, try again?

Comment 3 Randy Barlow 2017-01-05 16:49:34 UTC
It installs now! I have one thing you need to fix before I can approve, and a few suggestions that are at your option:

Must fix
========

* The Python package must be named python3-bcc instead of bcc-python3,
  as per the Python packaging guidelines:

    https://fedoraproject.org/wiki/Packaging:Python#Provides

Optional suggestions
====================

* fedora-review doesn't think you need to BuildRequire gcc or gcc-c++.
* It would be good to include a link to an upstream pull request, or a comment
  explaining the purpose of the patch and why it isn't submitted upstream
  in the spec file.
* The Python package should Require: bcc with the %{?_isa} macro.
* There does appear to be a test suite upstream. It would be good to add
  a %check section that runs it.
* Consider making bcc-doc and gcc-tools noarch packages. python3-gcc
  should be a noarch package as well since it installs to /usr/lib/.

Comment 4 Rafael Fonseca 2017-01-06 14:54:38 UTC
(In reply to Randy Barlow from comment #3)
> It installs now! I have one thing you need to fix before I can approve, and
> a few suggestions that are at your option:
> 
> Must fix
> ========
> 
> * The Python package must be named python3-bcc instead of bcc-python3,
>   as per the Python packaging guidelines:
> 
>     https://fedoraproject.org/wiki/Packaging:Python#Provides

Fixed.

> Optional suggestions
> ====================
> 
> * fedora-review doesn't think you need to BuildRequire gcc or gcc-c++.

Fixed.

> * It would be good to include a link to an upstream pull request, or a
> comment
>   explaining the purpose of the patch and why it isn't submitted upstream
>   in the spec file.

Fixed. Just to summarize, the problem comes from using %cmake which makes building shared libs the default instead of static.

> * The Python package should Require: bcc with the %{?_isa} macro.

Fixed.

> * There does appear to be a test suite upstream. It would be good to add
>   a %check section that runs it.

Won't fix. BCC test suit is complicated to run on a builder. If you look at the tests, they require root privileges and they make changes at the machine they are running on (like changing IP address).

> * Consider making bcc-doc and gcc-tools noarch packages. python3-gcc
>   should be a noarch package as well since it installs to /usr/lib/.

Fixed.

Comment 5 Randy Barlow 2017-01-06 17:38:44 UTC
I think I gave you a bad recommendation on making the python package require bcc by %{_isa}, as this causes it not to build. I do think it is right for the python package to be noarch, so I now recommend that you again drop the %{_isa} from the Requires in the python package. I'm very sorry!


  boole.localdomain  rbarlow  ~  reviews  1404305-bcc  time koji build --scratch rawhide srpm/bcc-0.2.0-1.fc25.src.rpm
Uploading srpm: srpm/bcc-0.2.0-1.fc25.src.rpm
[====================================] 100% 00:00:02   1.15 MiB 586.03 KiB/sec
Created task: 17181139
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=17181139
Watching tasks (this may be safely interrupted)...
17181139 build (rawhide, bcc-0.2.0-1.fc25.src.rpm): free
17181139 build (rawhide, bcc-0.2.0-1.fc25.src.rpm): free -> open (buildvm-08.phx2.fedoraproject.org)
  17181140 buildArch (bcc-0.2.0-1.fc25.src.rpm, aarch64): open (buildvm-aarch64-12.arm.fedoraproject.org)
  17181141 buildArch (bcc-0.2.0-1.fc25.src.rpm, x86_64): open (buildvm-11.phx2.fedoraproject.org)
  17181141 buildArch (bcc-0.2.0-1.fc25.src.rpm, x86_64): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  17181140 buildArch (bcc-0.2.0-1.fc25.src.rpm, aarch64): open (buildvm-aarch64-12.arm.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
17181139 build (rawhide, bcc-0.2.0-1.fc25.src.rpm): open (buildvm-08.phx2.fedoraproject.org) -> FAILED: BuildError: The following noarch package built differently on different architectures: python3-bcc-0.2.0-1.fc26.noarch.rpm
rpmdiff output was:
error: cannot open Packages index using db5 - Permission denied (13)
error: cannot open Packages database in /var/lib/rpm
error: cannot open Packages database in /var/lib/rpm
removed     REQUIRES bcc(aarch-64) = 0.2.0-1.fc26
added       REQUIRES bcc(x86-64) = 0.2.0-1.fc26
  0 free  0 open  2 done  1 failed

17181139 build (rawhide, bcc-0.2.0-1.fc25.src.rpm) failed

real    7m55.566s
user    0m2.626s
sys     0m0.354s

However, I'm sure you are capable of resolving this, so I will go ahead an approve the package!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)",
     "BSL (v1.0)", "*No copyright* Public domain", "BSL", "GPL (v2)", "*No
     copyright* Apache (v2.0)". 218 files have unknown license. Detailed
     output of licensecheck in
     /home/rbarlow/reviews/1404305-bcc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
     randy: This package does have an ExcludeArch tag and I presume it is
            needed.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in bcc-doc
     , bcc-debuginfo
     randy: I don't think docs or debuginfo need to Require the package.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
     randy: There is an ExcludeArch, as noted above.
[!]: %check is present and all tests pass.
     randy: The test suite requires root, so it cannot be run on Koji.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bcc-0.2.0-1.fc26.x86_64.rpm
          bcc-devel-0.2.0-1.fc26.x86_64.rpm
          bcc-doc-0.2.0-1.fc26.noarch.rpm
          python3-bcc-0.2.0-1.fc26.noarch.rpm
          bcc-lua-0.2.0-1.fc26.x86_64.rpm
          bcc-tools-0.2.0-1.fc26.noarch.rpm
          bcc-debuginfo-0.2.0-1.fc26.x86_64.rpm
          bcc-0.2.0-1.fc26.src.rpm
bcc.x86_64: W: spelling-error %description -l en_US eBPF -> Feb
bcc.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
bcc-devel.x86_64: W: only-non-binary-in-usr-lib
bcc-devel.x86_64: W: no-documentation
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/hello_world.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/main.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/tunnel.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/tunnel_mesh.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/http_filter/http-parse-complete.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/http_filter/http-parse-simple.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/neighbor_sharing/tc_neighbor_sharing.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/main.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/monitor.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/vlan_learning/vlan_learning.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/hello_fields.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/trace_fields.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/trace_perf_output.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/urandomread.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/vfsreadlat.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/lua/bashreadline.lua /usr/bin/bcc-lua
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/setup.sh /bin/bash
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/traffic.sh /bin/bash
python3-bcc.noarch: W: no-documentation
bcc-lua.x86_64: W: no-documentation
bcc-lua.x86_64: W: no-manual-page-for-binary bcc-lua
bcc-tools.noarch: W: no-documentation
bcc.src: W: spelling-error %description -l en_US eBPF -> Feb
bcc.src: W: spelling-error %description -l en_US lua -> la, luau, lea
8 packages and 0 specfiles checked; 0 errors, 28 warnings.




Rpmlint (debuginfo)
-------------------
Checking: bcc-debuginfo-0.2.0-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
bcc.x86_64: W: spelling-error %description -l en_US eBPF -> Feb
bcc.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangSerialization.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangParse.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangSema.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangAnalysis.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangEdit.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/libclangLex.so
bcc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbcc.so.0.2.0 /lib64/librt.so.1
python3-bcc.noarch: W: no-documentation
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/hello_world.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/main.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/tunnel.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/distributed_bridge/tunnel_mesh.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/http_filter/http-parse-complete.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/http_filter/http-parse-simple.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/neighbor_sharing/tc_neighbor_sharing.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/main.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/monitor.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/vlan_learning/vlan_learning.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/hello_fields.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/trace_fields.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/trace_perf_output.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/urandomread.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/tracing/vfsreadlat.py /usr/bin/python3
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/lua/bashreadline.lua /usr/bin/bcc-lua
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/setup.sh /bin/bash
bcc-doc.noarch: W: doc-file-dependency /usr/share/bcc/examples/networking/tunnel_monitor/traffic.sh /bin/bash
bcc-lua.x86_64: W: no-documentation
bcc-lua.x86_64: W: no-manual-page-for-binary bcc-lua
bcc-devel.x86_64: W: only-non-binary-in-usr-lib
bcc-devel.x86_64: W: no-documentation
bcc-tools.noarch: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 33 warnings.



Requires
--------
bcc (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    bcc-tools
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libclangAST.so()(64bit)
    libclangAnalysis.so()(64bit)
    libclangBasic.so()(64bit)
    libclangCodeGen.so()(64bit)
    libclangDriver.so()(64bit)
    libclangEdit.so()(64bit)
    libclangFrontend.so()(64bit)
    libclangLex.so()(64bit)
    libclangParse.so()(64bit)
    libclangRewrite.so()(64bit)
    libclangSema.so()(64bit)
    libclangSerialization.so()(64bit)
    libdl.so.2()(64bit)
    libelf.so.1()(64bit)
    libelf.so.1(ELFUTILS_1.0)(64bit)
    libelf.so.1(ELFUTILS_1.3)(64bit)
    libelf.so.1(ELFUTILS_1.5)(64bit)
    libelf.so.1(ELFUTILS_1.6)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libtinfo.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

python3-bcc (rpmlib, GLIBC filtered):
    bcc(x86-64)
    python(abi)

bcc-doc (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/bcc-lua
    /usr/bin/python3
    bcc-lua
    python3-bcc

bcc-debuginfo (rpmlib, GLIBC filtered):

bcc-lua (rpmlib, GLIBC filtered):
    bcc(x86-64)
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libclangAST.so()(64bit)
    libclangAnalysis.so()(64bit)
    libclangBasic.so()(64bit)
    libclangCodeGen.so()(64bit)
    libclangDriver.so()(64bit)
    libclangEdit.so()(64bit)
    libclangFrontend.so()(64bit)
    libclangLex.so()(64bit)
    libclangParse.so()(64bit)
    libclangRewrite.so()(64bit)
    libclangSema.so()(64bit)
    libclangSerialization.so()(64bit)
    libdl.so.2()(64bit)
    libelf.so.1()(64bit)
    libelf.so.1(ELFUTILS_1.0)(64bit)
    libelf.so.1(ELFUTILS_1.3)(64bit)
    libelf.so.1(ELFUTILS_1.5)(64bit)
    libelf.so.1(ELFUTILS_1.6)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libluajit-5.1.so.2()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libtinfo.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

bcc-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    bcc(x86-64)
    elfutils-libelf
    libbcc.so.0()(64bit)

bcc-tools (rpmlib, GLIBC filtered):
    /usr/bin/python3
    bcc(x86-64)
    python3-bcc



Provides
--------
bcc:
    bcc
    bcc(x86-64)
    libbcc.so.0()(64bit)

python3-bcc:
    python3-bcc
    python3.6dist(bcc)
    python3dist(bcc)

bcc-doc:
    bcc-doc

bcc-debuginfo:
    bcc-debuginfo
    bcc-debuginfo(x86-64)

bcc-lua:
    bcc-lua
    bcc-lua(x86-64)

bcc-devel:
    bcc-devel
    bcc-devel(x86-64)
    pkgconfig(libbcc)

bcc-tools:
    bcc-tools



Source checksums
----------------
https://github.com/iovisor/bcc/archive/v0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8bdea41286dda0605e3e52fc76d345356dc637434935a112e6378e2dcb439a70
  CHECKSUM(SHA256) upstream package : 8bdea41286dda0605e3e52fc76d345356dc637434935a112e6378e2dcb439a70


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1404305
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Gwyn Ciesla 2017-01-09 14:08:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/bcc

Comment 7 Fedora Update System 2017-01-10 15:51:31 UTC
bcc-0.2.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d872cfc00

Comment 8 Rafael Fonseca 2017-01-10 15:53:13 UTC
Randy Barlow, thank you very much for the quick review.

Other arches support for the package will be added as upstream updates their support and the dependencies are available in the respective arches.

Comment 9 Fedora Update System 2017-01-11 03:22:22 UTC
bcc-0.2.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d872cfc00

Comment 10 Fedora Update System 2017-03-10 14:42:28 UTC
bcc-0.3.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-84278f1766

Comment 11 Fedora Update System 2017-03-11 14:26:48 UTC
bcc-0.3.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-84278f1766

Comment 12 Zamir SUN 2017-09-20 08:03:44 UTC
I see the bcc package is in testing for over 6 months now. And I checked the bcc package is in Fedora 26. So is this bug actually 'FIXED'?

Comment 13 Rafael Fonseca 2017-09-20 15:08:54 UTC
Yes. Closing this.


Note You need to log in before you can comment on or make changes to this bug.